Subject: Re: [PATCH 2/3 v3] Add initial iomega StorCenter board port.

From: Jon Loeliger <[email-masked]>
Date: Wed, 23 Jan 2008 08:05:14 -0600

Stephen Rothwell wrote:
> Hi Jon,
> 
> On Tue, 22 Jan 2008 16:37:59 -0600 Jon Loeliger <[email-masked]> wrote:
>> +++ b/arch/powerpc/platforms/embedded6xx/storcenter.c
> 
>> +extern void _nmask_and_or_msr(unsigned long nmask, unsigned long or_val);
> 
> This clearly needs to be decalred in some header file.  (I know you did
> not introduce it.)  In arch/ppc, it was declared in asm/system.h (but I
> don't know if that is appropriate for arch/powerpc).  Maybe you could do
> a preceeding patch that does this and fixes the other user.

I hear my Janitorial Karmic Duty calling.
 
>> +static void __init storcenter_init_IRQ(void)

>> +	prop = of_get_property(dnp, "reg", &size);
>> +	paddr = (phys_addr_t)of_translate_address(dnp, prop);
> 
> What happens of "prop" is NULL?

Someone should fix that case too. :-)

Kumar,

I'll respin this trio for you.

jdl